html/protected/controllers/CommandController.php
<?php

/*
 * 
 * Команды:
  set,<команда>,<значение>
  ph1 - ph2 - tds - hum - reg_delay
  ну ты понял
  5 значений
  передавать на порт
  выдача вроде как вот так выглядит:
  RegulatedPH; ph1=5; ph2=6;
  RegulatedTds; tds=450;
  Humidity=30;
  reg_delay=1;
 * 
 */

class CommandController extends Controller {
    public $SLEEPTIME = 1;//sec time after execute every command by cron
    public $PORT = '/dev/ttyS0';
	public $debug = true;
    public function accessRules() {
        return array(
			array ('allow', // allow all users to perform these actions
					'users' => array('@'),
				),
			array ('allow', // allow all users to perform these actions
					'ips' => array('127.0.0.1', "::1"),
				),
            array('deny', // deny all users
                'users' => array('*'),
            ),
        );
    }
	public function SendStart() // send all 
	{
		return;
		$settings = Settings::model()->findByPk(1);
		$profile_id = $settings->active_profile_id;
		if($profile_id > 0)
		{
			$profile = Profile::model()->findByPk($profile_id);
			if(!$profile)
				return;
			$cycle = $profile->getActiveCycle($settings->active_start_day);
			if(!$cycle)
				return;

			$this->execCommandByCron("set", 'reg_delay', 10);
			sleep($this->SLEEPTIME);
			
			$this->execCommandByCron("set", 'ph1', $cycle->ph_min);
			sleep($this->SLEEPTIME);
			$this->execCommandByCron("set", 'ph2', $cycle->ph_max);
			sleep($this->SLEEPTIME);
			$this->execCommandByCron("set", 'ph_delay', $cycle->ph_ml);
			sleep($this->SLEEPTIME);
			$this->execCommandByCron("set", 'tds', $cycle->tds_min);
			sleep($this->SLEEPTIME);
			$this->execCommandByCron("set", 'tdsA', $cycle->soil_a);
			sleep($this->SLEEPTIME);
			$this->execCommandByCron("set", 'tdsB', $cycle->soil_b);
			sleep($this->SLEEPTIME);
			$this->execCommandByCron("set", 'tdsC', $cycle->soil_c);
			sleep($this->SLEEPTIME);
			
		}
	}
    public function actionLoadCircleByCron() {
        
//        return;
        //echo "LoadCircleByCron";
        $debug = true;
        $ramdpath = Yii::app()->params['defaults']['ramdpath'];// "/home/pi/ramdisk/";
// -------------- start time check ---------------------------		
		$fileTime = $ramdpath."curtime";
		if(!file_exists($fileTime)) return;  	// Нет времени - ничего не делаем
		
		$arduino_time = rtrim(@file_get_contents($fileTime));
		if(!$arduino_time)	return;
		$arduino_time = strtotime($arduino_time);
		if(abs($arduino_time - time()) > 60)
		{
			$this->execCommandByCron("date", date('U'), date('O'));
			sleep($this->SLEEPTIME);
		}
// --------------- stop time check ---------------------------		
        $files = array(
             "ph1" => "ph_min", "ph2" => "ph_max", "ph_delay" => "ph_ml", "tds_min" => "tds_min", "tdsa" => "soil_a" ,"tdsb" => "soil_b", "tdsc" => "soil_c", "reg_delay" => "reg_delay", "lightlvl" => "lightlvl",
			 "day" => "light_from", "night" => "light_to", "co2min" => "co2_min", "co2max" => "co2_max", 'airtempday' => 'microclimate_t_day', 'airtempnight' => 'microclimate_t_night',
        );
		$correctCommad = array('tdsa' => 'tdsA', 'tdsb' => 'tdsB', 'tdsc' => 'tdsC', 'tds_min' => 'tds', 'co2min' => 'CO2Min', 'co2max' => 'CO2Max', 'airtempday' => 'AirD', 'airtempnight' => 'AirN');
		$settings = Settings::model()->findByPk(1);
		$profile_id = Settings::model()->findByPk(1)->active_profile_id;
		if( $profile_id > 0 )
		{
			$profile = Profile::model()->findByPk($profile_id);
			if(!$profile)
				return;
			$index = 0;
			$cycle = $profile->getActiveCycle($settings->active_start_day, $index);
			$cycle = $profile->circles[$index];
			$cycle_next = NULL;
			if(isset($profile->circles[$index + 1]))
				$cycle_next = $profile->circles[$index + 1];
			if(!$cycle)
				return;
			
			foreach( $files as $k => $v )
			{
				$param_val = rtrim(@file_get_contents($ramdpath.$k));
				switch($k){
					case "airtempday" :
					case "airtempnight" : 
						$param_val = (int)$param_val; 
						break;
				}
//				$val = (($v == "reg_delay") ? $settings->reg_delay : $cycle->{$v});
				switch($v){
					case "reg_delay" : $val = $settings->reg_delay; break;
					case "lightlvl" :  
						if($settings->lightSensorType == 1)
							$val = 0; 
						else  if($settings->lightSensorType == 2)
							$val = $settings->lightDosvetka; 
						else 
							$val = 0; // На всякий случай
						break;
					default : $val = $cycle->{$v};
					
				}
				if(in_array($k, array('tdsa', 'tdsb', 'tdsc')))
				{
					$val = ($settings->volume_cap / 100.0) * $val;
					$val = ((int)($val * 100 + 0.5)) / 100.0;
				}
				if(in_array($k, array('day', 'night')))
				{
					$val = str_replace(":", "", $val);
				}
				if($v == 'tds_min')
				{
					if($cycle->tds_gradual && $cycle_next)
					{
/*						$cnDay = (int)((time() - $settings->active_start_day) / (60 * 60 * 24));
						$cnDayAll = $cycle->day_count;
						$val = $val + ($cnDay / $cnDayAll) * ($cycle_next->{$v} - $cycle->{$v});
*/						
					}
				}
				$k = (isset($correctCommad[$k])) ? $correctCommad[$k] : $k;
				if ( $param_val != "" && $param_val != $val){
					if($debug)  echo date('Y-m-d H:i')."Start $k -> $v<br>";
					$this->execCommandByCron("set", $k, $val);
					if($debug)  echo "<br>".date('Y-m-d H:i')."Stop $k -> $v<br>";
					sleep($this->SLEEPTIME);
				}
				else if ($param_val == "")
				{
					if($debug)  echo date('Y-m-d H:i')."Start(empty) $k -> $v<br>";
					$this->execCommandByCron("set", $k, $val);
					if($debug)  echo "<br>".date('Y-m-d H:i')."Stop(empty) $k -> $v<br>";
					sleep($this->SLEEPTIME);
				}
			}
			
//	----------		check CO2  ------------------
//			Конвертируем из ардуино в массив
			$val = rtrim(@file_get_contents($ramdpath."co2arr"));
			$valArrayArduino = array(); $i = 0;
			if($val)
			{
				$arrayC1 = explode(',', $val);
				foreach($arrayC1 as $v1)
				{
					$valArrayArduino[$i++] = $v1;
				}
			}
			
//			Конвертируем из малины в массив
			$co2Arr = array('0' => 'co2_time1_from', '1' => 'co2_time2_from', '2' => 'co2_time3_from');
			$valArrayMalina = array(); $i = 0;
			foreach ($co2Arr as $k => $v)
			{
				$vvMin = $cycle->{$v} ? str_replace(":", "", $cycle->{$v}) : -1; $vvMin = (int)$vvMin;
				$vMax = str_replace("from", "to", $v);
				$vvMax = $cycle->{$vMax} ? str_replace(":", "", $cycle->{$vMax}) : -1; $vvMax = (int)$vvMax;
				$strVal = $vvMin.':'.$vvMax;
				$valArrayMalina[$i++] = $strVal;
			}
//  	сравниваем массив ардуины с массивом с малины
			$currentBool = array(0 => false, 1 => false, 2 => false);
			foreach($valArrayMalina as $k1 => $v1)
			{
				foreach($valArrayArduino as $k2 => $v2)
				{
					if(!$currentBool[$k2] && ($v2 == $v1))
					{
						$currentBool[$k2] = true; break;
//						die('123');
					}
				}
			}
//			print_r($currentBool);die();
			$isEq = true;
			foreach($currentBool as $v)
				if(!$v)
					$isEq = false;
			
			if(!$isEq)
			{
				$this->execCommandByCron("set", "CO2Arr", implode(',', $valArrayMalina));
				sleep($this->SLEEPTIME);
			}
//	----------	end	check CO2  ------------------
		}
		else
		{
			if($debug)  echo "<br>".date('Y-m-d H:i')."getRegD";
			$param_val = @file_get_contents($ramdpath."reg_delay");
			$param_val = rtrim($param_val);
			if( $param_val == "" || $param_val > 0)
			{
				if($debug)  echo "<br>".date('Y-m-d H:i')."set reg_delay 0<br>";
				$this->execCommandByCron("set", "reg_delay", 0);
				sleep($this->SLEEPTIME);
			}
		}
        Yii::app()->end();
    }    
    
    public function actionLoadcircle() {
        $circle = Circle::model()->find(array('condition'=>'id='.$_POST['circle_id']));
        echo CJSON::encode($circle);
        //echo "Ok".$_POST['profile_id'];
        Yii::app()->end();
    }

    public function actionSetcircle() {
        //echo "Ok".$_POST['profile_id'];
        $conffile = Yii::getPathOfAlias('application.config').'/'.Yii::app()->params['defaults']['configfile'];

        $config = new CConfiguration($conffile);
        $config['profile_id'] = $_POST['profile_id'];
        $config['circle_id'] = $_POST['circle_id'];
        $val = "<?php return ".$config->saveAsString()."; ?>";
        file_put_contents($conffile, $val);
        echo $val;
        Yii::app()->end();
    }
    
    public function actionLoadcircles() {
        
        
        $circle = Circle::model()->findAll(array('order' => 'name','condition'=>'profile_id='.$_POST['profile_id']));
 
        $data = CHtml::listData($circle, 'id', 'name');

        echo "<option value=''>Select circle</option>";
        foreach($data as $value=>$name)
            echo CHtml::tag('option', array('value'=>$value),CHtml::encode($name),true);
        
        Yii::app()->end();
    }
    
    public function actionCommand($command, $arg = NULL) {
        
        $this->execCommand('set', $command, $arg);
    }
    public function actionAjaxSaveParamVal($nameVal, $val)
	{
		Params::SaveParam($nameVal, $val);
		echo $nameVal;
		die();
	}
	
    public function actionSaveCalTds($nbPoint, $valReal) {
		$cal = Calibration::model()->findByPk(1);
		if($nbPoint == 1)
		{
			$cal->caltds1 = $valReal;
			$cal->ct1raw = Data::getCurrentValue('tds_raw');
//			Params::SaveParam("cal_tds_1", $valReal);
		}
		if($nbPoint == 2)
		{
			$cal->caltds2 = $valReal;
			$cal->ct2raw = Data::getCurrentValue('tds_raw');
//			Params::SaveParam("cal_tds_2", $valReal);
		}
		$cal->save(false);
    }
    public function actionSaveCalPh($nbPoint, $valReal) {
		$cal = Calibration::model()->findByPk(1);
		if($nbPoint == 1)
		{
			$cal->calph1 = $valReal;
			$cal->cp1raw = Data::getCurrentValue('ph_raw');
//			Params::SaveParam("cal_ph_1", $valReal);
			
			
		}
		if($nbPoint == 2)
		{
			$cal->calph2 = $valReal;

html/protected/views/command/correctPumps.php
<?php $settings = Settings::model()->findByPk(1);?>
<script>

$(document).ready(function(){
	
	var countdown = $('#countdown span'),
//		but = $('button'),
		timer;
	function startCountdown(){
		var startFrom = <?php echo $settings->pump_work_second; ?>;
		countdown.text(startFrom).parent('div').show();
//		but.hide();
		timer = setInterval(function(){
			countdown.text(--startFrom);
			if(startFrom <= 0) {
				clearInterval(timer);
				$('.calibr-itm').removeClass('wait');
//				countdown.text('Прокачали');
//				but.show();
			}
		},1000);
	}	
	startCountdown();
	
});
</script>
		<div class="calibr-itm wait">
			<div class="heads" id = "countdown">Осталось секунд : <span> </span></div>
<?php $form=$this->beginWidget('CActiveForm', array(
	'id'=>'pumps-form-form',
	'method' => 'get',
	// Please note: When you enable ajax validation, make sure the corresponding
	// controller action is handling ajax validation correctly.
	// There is a call to performAjaxValidation() commented in generated controller code.
	// See class documentation of CActiveForm for details on this.
	'enableAjaxValidation'=>false,
)); ?>
<!--			<input type = "hidden" name = "command" value = "" /> -->
			<div class="calibr-action">
				<h3><?php echo $title; ?></h3>
				<h3>Жидкости перекачано, мл:</h3>
				<div class="steps-step">
					<div class="row cont big-btm">
						<div class="col1-1">
							<?php echo ModernForm::sliderChooseNoModel(2, 1, 99, NULL, 'ml'); ?>
						</div>
					</div>
					<div class="row btms">
						<?php echo CHtml::link('Отмена',array('command/pumps'), array('class' => 'btn btn-l'));?>
						<?php echo CHtml::submitButton('Сохранить', array('class' => 'btn btn-r')); ?>
					</div>
				</div>
			</div>
			<?php $this->endWidget(); ?>

		</div>

html/protected/views/command/index.php
<?php
/* @var $this CommandController */

$this->breadcrumbs = array(
    'Управление',
);

$this->menu=array(
        array('label'=>'Калибровка', 'url'=>array('command/cal')),
        
);
Yii::app()->clientScript->registerScript("lastload", "

$(function(){    

    window.onload = setupRefresh;



    function setupRefresh() {

      //setTimeout('refreshPage();', 5000); 
      refreshPage();
      setInterval(refreshPage, 5000 );

    }

    function refreshPage() {

       $(document).ready(function(){

       $('#comtable').load('/index.php?r=site/loadTable2', 
        function() {
	}
       );
       });
   }
});

    function info(text){
        var textarea = document.getElementById('result');
        $('#result').append(text);
        textarea.scrollTop = textarea.scrollHeight;
    }
    
    function onTrigger(editId, tdId){
        var edit_vl = parseFloat($(editId).val());
        var td_vl = parseFloat($(tdId).html());
        
        if (edit_vl != td_vl){
             $(editId+'btn').trigger('click');
              info(editId+' Load..\\n');
        }else {
              info(editId+' Ok!\\n');
        }
    }

");       

$com = "pidof -x alfa_checker.sh";
$out = "";
$p = proc_open($com, array(1 => array('pipe', 'w'),
    2 => array('pipe', 'w')), $io);

while (!feof($io[1])) {
    $out .= htmlspecialchars(fgets($io[1]), ENT_COMPAT, 'UTF-8');
}
while (!feof($io[2])) {
    $out .= htmlspecialchars(fgets($io[2]), ENT_COMPAT, 'UTF-8');
}

fclose($io[1]);
fclose($io[2]);
proc_close($p);
echo "<span id='serviceinfo'>";
if ($out!="" && $out>0){
    echo "Сервис работает ID=".$out;
    $out = 1;
}else{ 
    $out = 0;  
    echo "Сервис не работает";
}    
echo "</span>";

if (!yii::app()->request->isAjaxRequest) {
    $onofUrl = CController::createUrl('command/commandonof', array('command' => 'onof'));
    yii::app()->clientScript->registerScript('btns', ""
            . "function check(el, vlcheck){"
            //. "var valArg = el.value;"
            . "if (vlcheck == 0){"
            . "el.value = 'Вкл';"
            . "return 0;"
            . "} else {"
            . "el.value = 'Выкл';"
            . "return 1;"
            . "}"
            . "}"
           // . "var r1val = check(document.getElementById('r1btn')," . $r1 . ");"
           // . "var r2val = check(document.getElementById('r2btn')," . $r2 . ");"
            . "var onofval = check(document.getElementById('onofbtn')," . $out . ");"
            //. "var coolval = check(document.getElementById('coolbtn')," . $cool . ");"
            //. "var onofledval = check(document.getElementById('onofledbtn')," . $led . ");"
            . "");
    
    yii::app()->clientScript->registerScript('onofbtn', ""
            . "jQuery('body').on('click','#onofbtn',function(){"
            //."alert('?');"
            . "var el = document.getElementById('onofbtn');"
            //. "var valArg = document.getElementById('arg').value;"
            . "if (el.value == 'Выкл'){"
            . "onofval = 0;"
            . "} else {"
            . "onofval = 1;"
            . "}"
            //."alert('!!');"
            . "valArg = '" . $onofUrl . "&val='+onofval+'&arg=null';"
            //."alert(valArg);"
            . "jQuery.ajax({'url':valArg,'cache':false,"
            . "'success':function(html){"
            //."alert(html);"
            . "jQuery('#result').html(html);"
            . "if (el.value == 'Выкл') {"
            . "el.value = 'Вкл';"
            . "info('Сервис остановлен'+'\\n');"
            . "}else{"
            . "el.value = 'Выкл';"
            . "info('Сервис запущен'+'\\n');"
            . "}"
            . "}"
            . "});"
            . "return false;"
            . "});");
}    
echo CHtml::button('?', array('id' => 'onofbtn'));
?>
<div style="float:left;">
        <div id="comtable"></div>
</div>





<div style="float:left;margin: 0px auto;" id="frag-1">
<?php
$setPh1Url = CController::createUrl('command/command', array('command' => 'ph1'));
$setPh2Url = CController::createUrl('command/command', array('command' => 'ph2'));
$setTdsUrl = CController::createUrl('command/command', array('command' => 'tds'));
$setHumUrl = CController::createUrl('command/command', array('command' => 'hum'));
$setTdsAUrl = CController::createUrl('command/command', array('command' => 'tdsA'));
$setTdsBUrl = CController::createUrl('command/command', array('command' => 'tdsB'));
$setTdsCUrl = CController::createUrl('command/command', array('command' => 'tdsC'));
$setPhDelayCUrl = CController::createUrl('command/command', array('command' => 'ph_delay'));
$setReg_delayUrl = CController::createUrl('command/command', array('command' => 'reg_delay'));
$setResetUrl = CController::createUrl('command/command', array('command' => 'reset'));
$getProfUrl = CController::createUrl('command/commandget', array('command' => 'prof'));
$setDayUrl = CController::createUrl('command/command', array('command' => 'day'));
$setNightUrl = CController::createUrl('command/command', array('command' => 'night'));
$setLightUrl = CController::createUrl('command/command', array('command' => 'light'));
$setCO2Url = CController::createUrl('command/command', array('command' => 'CO2'));
$setCO2OnUrl = CController::createUrl('command/command', array('command' => 'CO2On'));
$setCO2OffUrl = CController::createUrl('command/command', array('command' => 'CO2Off'));
$setDrainUrl = CController::createUrl('command/command', array('command' => 'drain'));


function addAjax($command, $path) {
    if (!yii::app()->request->isAjaxRequest) {
        yii::app()->clientScript->registerScript($command.'btn', ""
            . "jQuery('body').on('click','#".$command."btn',function(){"
            . "var valArg = document.getElementById('".$command."').value;"
            . "valArg = '" . $path . "'+'&arg='+valArg;"
            . "jQuery.ajax({'url':valArg,'cache':false,"
            . "'success':function(html){"
            . "info(html+'\\n');"
            //. "jQuery('#result').append(html);"
            . "}"
            . "});"
            . "return false;"
            . "});");
    }
    
    
}

addAjax("ph1", $setPh1Url);
addAjax("ph2", $setPh2Url);
addAjax("tds", $setTdsUrl);
addAjax("hum", $setHumUrl);
addAjax("reg_delay", $setReg_delayUrl);
addAjax("tdsa", $setTdsAUrl);
addAjax("tdsb", $setTdsBUrl);
addAjax("tdsc", $setTdsCUrl);
addAjax("ph_delay", $setPhDelayCUrl);
addAjax("prof", $getProfUrl);
addAjax("reset", $setResetUrl);
addAjax("day", $setDayUrl);
addAjax("night", $setNightUrl);
addAjax("light", $setLightUrl);
addAjax("CO2", $setCO2Url);
addAjax("CO2On", $setCO2OnUrl);
addAjax("CO2Off", $setCO2OffUrl);
addAjax("drain", $setDrainUrl);


?>

    <style>
        .ctrl_panel{
            width:260px;
            margin:0px;
            border:1px solid greenyellow;
        }

        .ctrl_panel td{
            border:1px solid greenyellow;
        }
        .ctrl_panel input[type='button']{
            width: 70px;
        }
        .ctrl_field{
            width:40px;
            margin:0px 10px 0px 10px;
        }
    </style>
<?php

function prTd($title, $button, $field = NULL) {
    echo "<tr>";
    echo "<td>";
    echo $title;
    echo "</td>";
    echo "<td>";
    echo $field . $button;
    echo "</td>";
    //echo "<br />";
    echo "</tr>";
}

function prLine(&$var, $title, $varname, $defval) {
    if (isset($_POST[$varname])) {
        $var = $_POST[$varname];
    } else {
        $var = $defval; //6.5;
    }
    prTd("$title: ", CHtml::button('Set', array('id' => $varname . 'btn')), CHtml::textField($varname, $var, array('id' => $varname, 'class' => 'ctrl_field'))
    );
}

function prLineGet(&$var, $title, $varname, $defval) {
    if (isset($_POST[$varname])) {
        $var = $_POST[$varname];
    } else {
        $var = $defval; //6.5;
    }
    prTd("$title: ", CHtml::button('Get', array('id' => $varname . 'btn')), CHtml::textField($varname, $var, array('id' => $varname, 'class' => 'ctrl_field'))
    );
}

$form = $this->beginWidget('CActiveForm', [
    'id' => 'my-form',
    'enableAjaxValidation' => true,
    'clientOptions' => [
        'validateOnSubmit' => true
    ]
        ]);

echo "<table class='ctrl_panel'>";

$conffile = Yii::getPathOfAlias('application.config').'/'.Yii::app()->params['defaults']['configfile'];
// load
$config = new CConfiguration($conffile);
// access and setup
//$config[$command] = $arg;
//echo $config['mySecondOption'];


prLine($ph1, "Ph1", "ph1", $config['ph1']);
prLine($ph2, "Ph2", "ph2", $config['ph2']);
prLine($ph_delay, "ph_delay", "ph_delay", $config['ph_delay']);
prLine($tds, "Tds", "tds", $config['tds']);
prLine($tdsa, "TdsA", "tdsa", $config['tdsA']);
prLine($tdsb, "TdsB", "tdsb", $config['tdsB']);
prLine($tdsc, "TdsC", "tdsc", $config['tdsC']);
prLine($reg_delay, "Reg_delay", "reg_delay", $config['reg_delay']);
prLine($reboot, "Reset", "reset", 1);
prLineGet($prof, "prof", "prof", 1);
prLine($day, "Day", "day", 12);
prLine($night, "Night", "night", 12);
prLine($light, "Light", "light", 0);
prLine($CO2, "CO2", "CO2", 2000);
prLine($CO2On, "CO2On", "CO2On", 1.00);
prLine($CO2Off, "CO2Off", "CO2Off", 2.00);
prLine($drain, "drain", "drain", 1);

echo "</table>";
$this->endWidget();

try {
    
$profs = Profile::model()->findAll(array('order' => 'name'));
 
// при помощи listData создаем массив вида $ключ=>$значение
$list = CHtml::listData($profs, 'id', 'name');

echo CHtml::dropDownList('profile_id', $profs, 
              $list,
              array(
                  'options'=>array($config['profile_id']=> array('selected'=>true)),
                  'empty' => 'Select a profile',
                  'ajax' => array(
                    'type'=>'POST', 
                    'url'=>Yii::app()->createUrl('command/loadcircles'), //or $this->createUrl('loadcities') if '$this' extends CController
                    'update'=>'#circles',
                    //'success' => 'function(data){alert(data);}',
                    'data'=>array('profile_id'=>'js:this.value'),
                    ),
             )
        );

$circle = Circle::model()->findAll(array('order' => 'name','condition'=>'profile_id='.$config['profile_id']));
 
// при помощи listData создаем массив вида $ключ=>$значение
$list2 = CHtml::listData($circle, 'id', 'name');
/*yii::app()->clientScript->registerScript("loadcircle", "function(){"
        . ""
        . ""
        . ""
        . ""
        . "}");
 * 
 */
echo CHtml::dropDownList('circles', $circle, 
              $list2,
              array(
                  'empty' => 'Select circle',
                  'options'=>array($config['circle_id']=>array('selected'=>true)),
                  'ajax' => array(
                    'type'=>'POST', 
                    'url'=>Yii::app()->createUrl('command/loadcircle'), //or $this->createUrl('loadcities') if '$this' extends CController
                    //'update'=>'#circles',
                    'success' => 'function(data){var obj = $.parseJSON(data);'
                      . '$(\'#ph1\').val(obj[\'ph1\']);'
                      . '$(\'#ph2\').val(obj[\'ph2\']);'
                      . '$(\'#ph_delay\').val(obj[\'ph_delay\']);'
                      . '$(\'#tds\').val(obj[\'tds\']);'
                      . '$(\'#tdsa\').val(obj[\'tdsA\']);'
                      . '$(\'#tdsb\').val(obj[\'tdsB\']);'
                      . '$(\'#tdsc\').val(obj[\'tdsC\']);'
                      . '$(\'#reg_delay\').val(obj[\'reg_delay\']);'
                    //  .'alert(data);'
                      . '}',
                      
                    'data'=>array('circle_id'=>'js:this.value'),
                    ),
            )      
        );

echo CHtml::button('Set', array(
                  'ajax' => array(
                    'type'=>'POST', 
                    'url'=>Yii::app()->createUrl('command/setcircle'), //or $this->createUrl('loadcities') if '$this' extends CController
                    //'update'=>'#circles',
                    'success' => 'function(data){'
                      .'var interval = 2000;'
                      . 'setTimeout(function() { $(\'#profbtn\').trigger(\'click\');}, interval);'
                      . 'setTimeout(function() { onTrigger(\'#ph1\', \'#ph1_val\');}, interval*2);'
                      . 'setTimeout(function() { onTrigger(\'#ph2\', \'#ph2_val\');}, interval*3);'
                      . 'setTimeout(function() { onTrigger(\'#ph_delay\', \'#ph_delay_val\');}, interval*4);'
                      . 'setTimeout(function() { onTrigger(\'#tds\', \'#tds_val\');}, interval*5);'
                      . 'setTimeout(function() { onTrigger(\'#tdsa\', \'#tdsa_val\');}, interval*6);'
                      . 'setTimeout(function() { onTrigger(\'#tdsb\', \'#tdsb_val\');}, interval*7);'
                      . 'setTimeout(function() { onTrigger(\'#tdsc\', \'#tdsc_val\');}, interval*8);'
                      . 'setTimeout(function() { onTrigger(\'#reg_delay\', \'#reg_delay_val\');}, interval*9);'
                      . '}',
                    'data'=>array('circle_id'=>'js:circles.value', 'profile_id'=>'js:profile_id.value'),
                    ),
    
));

}
catch(Exception $ex) {
        echo $ex->getMessage();
}
?>                
    

</div>

<div style="clear:both;">
    <textarea id="result" style="width: 100%;"></textarea>
</div>

html/protected/views/command/isgrowing_error.php
		<div class="isgrowing_error">
			<div class = "main">
				Текущая страница недоступна при активном выращивании<br/>
				<?php echo CHtml::link("Управление выращиванием", array('profile/current'), array('class' => 'btn')); ?>
			</div>
			<div class = "">
				<?php echo CHtml::link('НАЗАД', $link_back, array('class' => 'standart_button_center')); ?>
			</div>
		</div>